function changesoal(no){
	akhir = $('#jumlah_soal').text();
	if (no==0) {
		
	} else 
	if (no==akhir) {
		$('#nomor span').html(no);
		$('.no').removeClass('active');
		$('.no.no-'+no).addClass('active');
		$('#next-soal').hide();
		$('#last-soal').show();
	} else
	{
		$('#nomor span').html(no);
		$('.no').removeClass('active');
		$('.no.no-'+no).addClass('active');
		$('#next-soal').show();
		$('#last-soal').hide();
	}
	
	$('.ragu-check').removeClass('glyphicon-check');
	$('.ragu-check').removeClass('glyphicon-unchecked');
	if ($('.no.active').hasClass('ragu-ragu')){
		$('.ragu-check').addClass('glyphicon-check');
	} else {
		$('.ragu-check').addClass('glyphicon-unchecked');
	}
	
}

$(document).ready(function(){

	$('.option').click(function(){
		$(this).closest('.options-group').find('.option').each(function(){
			$(this).removeClass('checked');
		})
		$(this).addClass('checked');
 		nomor = $('.soal.active').find('.nomor').text();
		$('.no.no-'+nomor+' span').html($(this).html());
		$('.no.no-'+nomor).addClass('done');
		$('.no.no-'+nomor).removeClass('not-done');
		nomor = $(this).closest('.active').attr('id');
		nomor = nomor.replace('nomor-asli-','');
		ragu = $('.btn-warning.ragu span').hasClass('glyphicon-check');
		if (ragu) {
			ragu = 'YA';
		} else {
			ragu - 'TIDAK';
		}
		$.post('../jawab/',{
			no : nomor,
			option : $(this).text(),
			ragu : ragu
		},function(s){
			//alert (s);
		})
	})
	
	$('.no.done').removeClass('not-done');
	
	$('.ragu').click(function(){
		a = $(this).find('.ragu-check');
		if (a.hasClass('glyphicon-unchecked')){
			a.removeClass('glyphicon-unchecked');
			a.addClass('glyphicon-check');
			nomor = $('.soal.active').find('.nomor').text();
			$('.no.no-'+nomor).addClass('ragu-ragu');
		} else {
			a.removeClass('glyphicon-check');
			a.addClass('glyphicon-unchecked');
			nomor = $('.soal.active').find('.nomor').text();
			$('.no.no-'+nomor).removeClass('ragu-ragu');
		}
		$('.soal.active .option.checked').click();
	})
	
	$('.no').click(function(){
		nomor = $(this).find('p').html();
		$('.soal').removeClass('active');
		$('.soal.nomor-'+nomor).addClass('active');
		changesoal(nomor);
	})
	
	$('#summary-button').click(function(){
		if ($(this).hasClass('show')){
			$('#summary').hide();
			$(this).css('right',0);
			$(this).find('button').html('<span class="glyphicon glyphicon-chevron-left" aria-hidden="true" style="position:relative; top:10px"></span> Daftar <br/>Soal');
			$(this).removeClass('show');
		} else {
			$('#summary').show();
			$(this).css('right',299);
			$(this).find('button').html('<span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>');
			$(this).addClass('show');
		}
	})
	
	$('#next-soal').click(function(){
		$('.soal.active').next().addClass('active');
		$('.soal.active').eq(0).removeClass('active');
 		nomor = $('.soal.active').find('.nomor').text();
		changesoal (nomor);
	})
	$('#prev-soal').click(function(){
		$('.soal.active').prev().addClass('active');
		$('.soal.active').eq(1).removeClass('active');
 		nomor = $('.soal.active').find('.nomor').text();
		changesoal (nomor);
	})
	
	$('#summary-button').click();
	$('.close').click(function(){
		$('.modal').hide();
	})
	$('.close-modal').click(function(){
		$('.modal').hide();
	})
	
	$('#yakin').change(function(){
		if ($(this).is(":checked")){
			$('#selesai').removeClass('btn btn-default hidden');
			$('#selesai').addClass('btn btn-success');
		} else {
			$('#selesai').removeClass('btn btn-success');
			$('#selesai').addClass('btn btn-default hidden');
		}
	})
	
	
})
